Subject: Re: [PATCH net 2/2] selftests/rtnetlink.sh: add mngtempaddr test

From: Jakub Kicinski <[email-masked]>
Date: Thu, 14 Nov 2024 07:13:40 -0800

On Thu, 14 Nov 2024 08:19:31 +0000 Hangbin Liu wrote:
> > > Is this tested with patched kernel or unpatched kernel. On my local side I got
> > > 
> > > # ./rtnetlink.sh -t kci_test_mngtmpaddr
> > > PASS: mngtmpaddr add/remove correctly  
> > 
> > I believe you that you run the test before sending.
> > But if it doesn't pass in CI we can't merge this.
> > Just a shot in the dark but does it also pass without the -t ?  
> 
> Yes.
> # ./rtnetlink.sh
> PASS: policy routing
> ...
> PASS: enslave interface in a bond
> PASS: mngtmpaddr add/remove correctly
> 
> I will modify the test with Sam's suggestions and see if it could pass.

The other option is that some other test doesn't clean up after itself,
since we reuse VMs. We have a script in NIPA to map things:
contest/cithreadmap

Looks like we run rtnetlink.sh after pmtu.sh, I wonder if pmtu.sh is to
blame:

Thread3-VM0
	 4-pmtu-sh/
	 5-rtnetlink-sh/
	....